/*
Created		07/11/2006
Modified		11/07/2007
Project		Spagic
Model		Bck Database
Company		Engineering
Author		Spagic Team
Version		1.1.0
Database    Oracle 9i/10g 
*/


Create table instance_sa (
	id_instance_sa Integer NOT NULL ,
	id_assembly Integer NOT NULL ,
	startdate Timestamp(0) NOT NULL ,
	enddate Timestamp(0) NOT NULL ,
	state Integer NOT NULL ,
	id_correlation Varchar2 (100) NOT NULL ,
	id_iter Integer,
primary key (id_instance_sa) 
) 
;

Create table journal_instance_service (
	id_journal Integer NOT NULL ,
	id_endpoint_source Integer NOT NULL ,
	id_endpoint_target Integer NOT NULL ,
	id_instance_sa Integer NOT NULL ,
	id_msg_exchange Varchar2 (100) NOT NULL ,
	exchange_start Timestamp(0) NOT NULL ,
	exchange_inter_1 Timestamp(9),
	exchange_inter_2 Timestamp(9),
	exchange_end Timestamp(0),
	id_ext_process_instance Varchar2 (45),
	id_state Integer NOT NULL ,
	message_exchange Blob,
primary key (id_journal) 
) 
;

Create table log_journal (
	id_log Integer NOT NULL ,
	id_state Integer NOT NULL ,
	id_journal Integer NOT NULL ,
	log Clob NOT NULL ,
	datelog Timestamp(0) NOT NULL ,
primary key (id_log) 
) 
;

Create table relevant_data (
	id_relevant_data Integer NOT NULL ,
	id_attribute Integer NOT NULL ,
	id_log Integer NOT NULL ,
	value Varchar2 (500) NOT NULL ,
primary key (id_relevant_data) 
) 
;

Create table instance_iter (
	id_iter Integer NOT NULL ,
	id_iter_type Integer NOT NULL ,
	unique_iter_instance_key Varchar2 (1000) NOT NULL ,
primary key (id_iter) 
) 
;

Create table relevant_data_instance_sa (
	id_instance_sa Integer NOT NULL ,
	id_relevant_data Integer NOT NULL ,
primary key (id_instance_sa,id_relevant_data) 
) 
;
